> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account

> Create accounts.



## OpenAPI

````yaml post /account
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /account:
    post:
      tags:
        - Account
      summary: Create Account
      description: Create accounts.
      operationId: post-account
      requestBody:
        content:
          application/json:
            schema:
              example:
                accountName: ''
                email: ''
                type: ''
              properties:
                accountName:
                  description: >-
                    accountName should be alphanumeric, lowercase and between 2
                    to 40 characters long
                  type: string
                email:
                  type: string
                type:
                  type: string
              type: object
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                example:
                  data:
                    BNB:
                      accountName: account1
                      asset:
                        - id: '0x2eea5A634DB062E0e47Ec9fD37F3cab7Ee8FfD92'
                          meta: null
                          type: crypto
                      balance: 0
                      pendingDebit: 0
                    BTC:
                      accountName: account1
                      asset:
                        - id: tb1qp74ye524mlma5l77e5pxkdfjkeahq27ftjr2tr
                          meta: null
                          type: crypto
                      balance: 0
                      pendingDebit: 0
                    ETH:
                      accountName: account1
                      asset:
                        - id: '0x2eea5A634DB062E0e47Ec9fD37F3cab7Ee8FfD92'
                          meta: null
                          type: crypto
                      balance: 0
                      pendingDebit: 0
                    GHS:
                      accountName: account1
                      asset:
                        - id: ''
                          meta: null
                          type: ghanaiancedis
                      balance: 0
                      pendingDebit: 0
                    KES:
                      accountName: account1
                      asset:
                        - id: ''
                          meta: null
                          type: kenyanshilling
                      balance: 0
                      pendingDebit: 0
                    NGN:
                      accountName: account1
                      asset:
                        - id: ''
                          meta: null
                          type: naira
                      balance: 0
                      pendingDebit: 0
                    USD:
                      accountName: account1
                      asset:
                        - id: '0x2eea5A634DB062E0e47Ec9fD37F3cab7Ee8FfD92'
                          meta: null
                          type: crypto
                        - id: TEFGq29E7sJ6CkdH7xsgosBcarcjmKe2VB
                          meta: null
                          type: crypto
                        - id: 8aLT3BAeRhspwVYj19xM7LELLHriV3TH4RBm28DiJvuE
                          meta: null
                          type: crypto
                      balance: 0
                      pendingDebit: 0
                  message: success
                properties:
                  data:
                    properties:
                      BNB:
                        properties:
                          accountName:
                            type: string
                          asset:
                            items:
                              properties:
                                id:
                                  type: string
                                meta:
                                  type: string
                                type:
                                  type: string
                              type: object
                            type: array
                          balance:
                            type: number
                          pendingDebit:
                            type: number
                        type: object
                      BTC:
                        properties:
                          accountName:
                            type: string
                          asset:
                            items:
                              properties:
                                id:
                                  type: string
                                meta:
                                  type: string
                                type:
                                  type: string
                              type: object
                            type: array
                          balance:
                            type: number
                          pendingDebit:
                            type: number
                        type: object
                      ETH:
                        properties:
                          accountName:
                            type: string
                          asset:
                            items:
                              properties:
                                id:
                                  type: string
                                meta:
                                  type: string
                                type:
                                  type: string
                              type: object
                            type: array
                          balance:
                            type: number
                          pendingDebit:
                            type: number
                        type: object
                      GHS:
                        properties:
                          accountName:
                            type: string
                          asset:
                            items:
                              properties:
                                id:
                                  type: string
                                meta:
                                  type: string
                                type:
                                  type: string
                              type: object
                            type: array
                          balance:
                            type: number
                          pendingDebit:
                            type: number
                        type: object
                      KES:
                        properties:
                          accountName:
                            type: string
                          asset:
                            items:
                              properties:
                                id:
                                  type: string
                                meta:
                                  type: string
                                type:
                                  type: string
                              type: object
                            type: array
                          balance:
                            type: number
                          pendingDebit:
                            type: number
                        type: object
                      NGN:
                        properties:
                          accountName:
                            type: string
                          asset:
                            items:
                              properties:
                                id:
                                  type: string
                                meta:
                                  type: string
                                type:
                                  type: string
                              type: object
                            type: array
                          balance:
                            type: number
                          pendingDebit:
                            type: number
                        type: object
                      USD:
                        properties:
                          accountName:
                            type: string
                          asset:
                            items:
                              properties:
                                id:
                                  type: string
                                meta:
                                  type: string
                                type:
                                  type: string
                              type: object
                            type: array
                          balance:
                            type: number
                          pendingDebit:
                            type: number
                        type: object
                    type: object
                  message:
                    type: string
                type: object
          description: post account created
        '400':
          content:
            application/json:
              schema:
                example:
                  message: Account name or email already exists
                properties:
                  message:
                    type: string
                type: object
          description: post account bad request
        '401':
          content:
            application/json:
              schema:
                example:
                  message: get only api key cannot access POST /account
                properties:
                  message:
                    type: string
                type: object
          description: post account unauthorized
        '409':
          content:
            application/json:
              schema:
                example:
                  message: account already exists
                properties:
                  message:
                    type: string
                type: object
          description: post account conflict
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````